summaryrefslogtreecommitdiffstats
path: root/jjb/ci_gate_security/anteater-report-to-gerrit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/ci_gate_security/anteater-report-to-gerrit.sh')
-rw-r--r--jjb/ci_gate_security/anteater-report-to-gerrit.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/jjb/ci_gate_security/anteater-report-to-gerrit.sh b/jjb/ci_gate_security/anteater-report-to-gerrit.sh
new file mode 100644
index 000000000..6a5a0a551
--- /dev/null
+++ b/jjb/ci_gate_security/anteater-report-to-gerrit.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -o errexit
+set -o pipefail
+export PATH=$PATH:/usr/local/bin/
+
+# If no violations were found, no lint log will exist.
+if [[ -e securityaudit.log ]] ; then
+ echo -e "\nposting security audit report to gerrit...\n"
+
+ cat securityaudit.log | awk -F"ERROR\ \-\ " '{print $2}' > shortlog
+
+ ssh -p 29418 gerrit.opnfv.org \
+ "gerrit review -p $GERRIT_PROJECT \
+ -m \"$(cat shortlog)\" \
+ $GERRIT_PATCHSET_REVISION \
+ --notify NONE"
+
+ exit 1
+fi